curl --request POST \
--url https://app.fullenrich.com/api/v2/people/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
'import requests
url = "https://app.fullenrich.com/api/v2/people/lookup"
payload = {
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_name: 'Enzo Romera',
person_professional_network_url: 'https://www.linkedin.com/in/enzo-romera',
person_professional_network_id: 530992355,
company_professional_network_url: 'https://www.linkedin.com/company/anthropic',
company_professional_network_id: 1883877,
company_domain: 'anthropic.com'
})
};
fetch('https://app.fullenrich.com/api/v2/people/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"people": [
{
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "Enzo Romera",
"first_name": "Enzo",
"last_name": "Romera",
"location": {
"country": "United States",
"country_code": "US",
"city": "San Francisco",
"region": "California"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/in/john-doe",
"handle": "john-doe",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "French",
"proficiency": "NATIVE_OR_BILINGUAL"
}
],
"skills": [
"JavaScript",
"Project Management",
"Python"
],
"employment": {
"current": {
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Not Employed",
"sub_function": "Freelancer"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
}
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
},
"all": [
{
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Not Employed",
"sub_function": "Freelancer"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
}
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
}
]
}
}
],
"metadata": {
"credits": 0.25
}
}Look Up People
Look up a single person using their identifiers (professional network URL/ID, or full name combined with a company identifier). Returns the best matching person.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Provide at least one identifier to match a single person. The professional network URL or ID is the most reliable. A full name can be combined with a company identifier (domain, professional network URL, or professional network ID) to disambiguate the match.
Full name of the person to look up.
"Enzo Romera"
Professional network profile URL of the person.
"https://www.linkedin.com/in/enzo-romera"
Professional network profile ID of the person.
530992355
Professional network URL of the company the person works for. Used to disambiguate when looking up by name.
"https://www.linkedin.com/company/anthropic"
Professional network ID of the company the person works for. Used to disambiguate when looking up by name.
1883877
Domain of the company the person works for. Used to disambiguate when looking up by name.
"anthropic.com"
Was this page helpful?